dpkg-genchanges(1)

NOMBRE
dpkg-genchanges - Generación de ficheros de Debian «.changes»

SINOPSIS
dpkg-genchanges [option...]

DESCRIPCIÓN
dpkg-genchanges lee la información de un árbol de fuentes de Debian desempaquetado y construido, así como de los ficheros que ha generado, y crea un fichero de control de subida de Debian, el fichero .changes.

OPCIONES

-b, -B, -A
    Define que sólo se va a realizar una construcción binaria (no se incluyen los ficheros de fuente). No hay diferencias entre -b, -B y -A, y el fichero .changes incluirá aquellos ficheros creados mediante el o los «target» de make binarios (binary-*) del paquete a construir.

-S  Define que sólo se deben subir las fuentes (no se incluirán paquetes binarios).

Las opciones -sx controlan si el archivo original de las fuentes se incluye en la subida generada, en caso de generar alguna fuente (por ejemplo, si no se han usado -b o -B).

-si Por omisión, o si se especifica, las fuentes originales se incluirán si el número de versión del autor original (la versión sin «epoch» y sin la parte del número de versión que corresponde a la revisión de Debian) difiere del número de versión de la fuente original en la entrada del registro de cambios.

-sa Fuerza la inclusión de la fuente original.

-sd Fuerza la exclusión de la fuente original y sólo incluye el fichero de diferencias «.diff».

-vversión
    Provoca el uso de la información del registro de cambios de todas las versiones estrictamente posteriores a versión.

-Cdescripción-de-cambios
    Lee la descripción de los cambios del fichero changesdescription en vez de usar la información contenida en el fichero de cambios del árbol de fuentes.

-mdirección-mantenedor
    Utiliza dirección-mantenedor como el nombre y dirección de correo del responsable de este paquete, en lugar de usar la información del fichero de control del árbol de fuentes.

-edirección-mantenedor
    Utiliza dirección-mantenedor como el nombre y dirección de correo del responsable de esta subida, en lugar de usar la información del registro de cambios del árbol de fuentes.

-Vnombre=valor
    Define una variable de sustitución de la salida. Consulte deb-substvars(5) para más información acerca de la sustitución de la salida.

-Tfichero-variables-sust
    Lee variables de sustitución desde el fichero-variables-sust; debian/substvars es el valor por omisión. No se realiza ninguna sustitución de variables en ninguno de los campos que son parte de la salida. Por otra para, la variable especial Format sobreescribirá el campo del mismo nombre. Puede usar esta opción varias veces para leer variables de sustitución de varios ficheros.

-Dcampo=valor
    Sobreescribe o añade un campo en el fichero de control de salida.

-Ucampo
    Elimina un campo del fichero de control de salida.

-cfichero-control
    Define el fichero de control principal de las fuentes del que leer la información. Por omisión es debian/control.

-lfichero-cambios
    Define el fichero de registro de cambios del que leer la información. Por omisión es debian/changelog.

-ffichero-lista-ficheros
    Lee o escribe la lista de ficheros para subir aquí, en lugar de usar debian/files.

-Fformato-registro-cambios
    Define el formato del registro de cambios. Por omisión, el formato se lee de una línea especial cerca del final del registro de cambios o, en caso de fallo, usa el formato estándar debian.

-udirectorio-subida-ficheros
    Busca ficheros a subir en directorio-subida-ficheros en lugar de .. (dpkg-genchanges necesita encontrar estos ficheros para poder incluir sus tamaños y sumas de verificación en el fichero .changes).

-q  Habitualmente, dpkg-genchanges producirá mensajes informativos por la salida de error estándar, por ejemplo acerca de cuántos de los ficheros fuente de los paquetes se están subiendo. -q suprime dichos mensajes.

-h, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

FICHEROS

debian/files
    La lista de ficheros generados que forman parte de la subida al servidor en preparación. dpkg-genchanges lee los datos aquí cuando produce un fichero .changes.

AUTORES
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman

Esto es software libre; vea la versión 2 o posterior de la Licencia Pública General GNU para condiciones de copia. NO hay ninguna garantía.

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.